V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
sherlock1122
V2EX  ›  C++

GCC 编译器这么大 BUG, CentOS 7 都是中枪版本

  •  
  •   sherlock1122 · 41 天前 · 2210 次点击
    这是一个创建于 41 天前的主题,其中的信息可能已经有所发展或是发生改变。
    最近遇到了一个 memcmp 比较奇怪的问题,怀疑是这个,太坑了。
    CentOS 7 维护的 devtoolset-9/10 都中枪了。
    不过这个 bug 看起来是常量数据优化出错,我的那个问题是连续两次调用 memcmp,
    第一次返回非 0,第二次返回 0,没有已知线程问题,太诡异了。


    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=95189
    4 条回复    2021-10-17 11:25:07 +08:00
    CatCode
        1
    CatCode   41 天前
    centos 7 自带的 gcc 不是 4.4.7 版本吗
    sherlock1122
        2
    sherlock1122   41 天前
    @CatCode 对呀,太老了,所以都是用的 redhat 提供的 devtoolset 呢。
    CatCode
        3
    CatCode   41 天前
    @sherlock1122 好吧 我们没用上这个
    haohaolee
        4
    haohaolee   41 天前
    这种 bug 那就是全体 gcc 都中枪了,只能等新版修复了
    关于   ·   帮助文档   ·   API   ·   FAQ   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   2337 人在线   最高记录 5497   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 33ms · UTC 09:28 · PVG 17:28 · LAX 01:28 · JFK 04:28
    ♥ Do have faith in what you're doing.